## org.apache.xerces.impl.dv
Class InvalidDatatypeFacetException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.xerces.impl.dv.DatatypeException
                  org.apache.xerces.impl.dv.InvalidDatatypeFacetException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidDatatypeFacetException

extends DatatypeException

Datatype exception for invalid facet. This exception is only used by schema datatypes.

Version:
  $Id: InvalidDatatypeFacetException.java 320097 2004-10-06 14:56:52Z mrglavas $
Author:
  Sandy Gao, IBM
See Also:
  Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.impl.dv.DatatypeException
`args, key`

Constructor Summary
`InvalidDatatypeFacetException(java.lang.String key, java.lang.Object[] args)` Create a new datatype exception by providing an error code and a list of error message substitution arguments.

Method Summary

Methods inherited from class org.apache.xerces.impl.dv.DatatypeException
`getArgs, getKey, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidDatatypeFacetException

    public InvalidDatatypeFacetException(java.lang.String key,
                                         java.lang.Object[] args)

  Create a new datatype exception by providing an error code and a list of error message substitution arguments.

  Parameters:
    `key` - error code
    `args` - error arguments

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.